# BEGIN SourceDeps(oneline):
BuildRequires: perl(Attribute/Handlers.pm) perl(CPAN.pm) perl(Carp.pm) perl(Class/Accessor/Lvalue/Fast.pm) perl(Class/ISA.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Encode/JavaScript/UCS.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/Path.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(FindBin.pm) perl(JSON/Syck.pm) perl(Jcode.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(LWP/UserAgent/POE.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(POE.pm) perl(PerlIO.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Storable.pm) perl(Sys/Hostname.pm) perl(Text/Diff.pm) perl(UNIVERSAL/require.pm) perl(URI.pm) perl(URI/Escape.pm) perl(URI/QueryParam.pm) perl(XML/RSS.pm) perl(YAML.pm) perl(YAML/Syck.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl(strict.pm) perl(threads/shared.pm) perl(utf8.pm) perl(warnings.pm) perl(Encode/JP/H2Z.pm) perl(Test/Exception.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name App-SocialSKK
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: SKK Goes Social
Group: Development/Perl
License: MIT
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KE/KENTARO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
App::SocialSKK provides a internal works for socialskk.pl.

This module is basically designed to perform searches against Social
IME. Besides, it has pluggable mechanism, you can add other more data
sources into it as you like. This distribution actually provides some
plugins, for example, to retrieve candidates from Wikipedia suggest
API.

You might want to consult the documentation of sociallskk.pl directly
if you're not interested in the internal of this distribution'.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

